hwloc_cl_device_topology_amd Union Reference

`#include <opencl.h>`

## Data Fields

struct {
cl_uint type
cl_uint data [5]
} | raw
struct {
cl_uint type
cl_char unused [17]
cl_char bus
cl_char device
cl_char function
} | pcie

## Field Documentation

## bus

cl_char hwloc_cl_device_topology_amd::bus

## data

cl_uint hwloc_cl_device_topology_amd::data[5]

## device

cl_char hwloc_cl_device_topology_amd::device

## function

cl_char hwloc_cl_device_topology_amd::function

## pcie

struct { ... } hwloc_cl_device_topology_amd::pcie

## raw

struct { ... } hwloc_cl_device_topology_amd::raw

## type

cl_uint hwloc_cl_device_topology_amd::type

## unused

cl_char hwloc_cl_device_topology_amd::unused[17]

The documentation for this union was generated from the following file:

- opencl.h